diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-packet-probe.h ns-3.44/src/internet/model/ipv4-packet-probe.h
--- ns-3.43/src/internet/model/ipv4-packet-probe.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-packet-probe.h	2025-03-09 16:55:49.395371200 -0700
@@ -27,7 +27,7 @@
 {
 
 /**
- * \ingroup ipv4
+ * @ingroup ipv4
  *
  * This class is designed to probe an underlying ns3 TraceSource
  * exporting a packet, an IPv4 object, and an interface.  This probe
@@ -40,29 +40,29 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     Ipv4PacketProbe();
     ~Ipv4PacketProbe() override;
 
     /**
-     * \brief Set a probe value
+     * @brief Set a probe value
      *
-     * \param packet set the traced packet equal to this
-     * \param ipv4 set the IPv4 object for the traced packet equal to this
-     * \param interface set the IPv4 interface for the traced packet equal to this
+     * @param packet set the traced packet equal to this
+     * @param ipv4 set the IPv4 object for the traced packet equal to this
+     * @param interface set the IPv4 interface for the traced packet equal to this
      */
     void SetValue(Ptr<const Packet> packet, Ptr<Ipv4> ipv4, uint32_t interface);
 
     /**
-     * \brief Set a probe value by its name in the Config system
+     * @brief Set a probe value by its name in the Config system
      *
-     * \param path config path to access the probe
-     * \param packet set the traced packet equal to this
-     * \param ipv4 set the IPv4 object for the traced packet equal to this
-     * \param interface set the IPv4 interface for the traced packet equal to this
+     * @param path config path to access the probe
+     * @param packet set the traced packet equal to this
+     * @param ipv4 set the IPv4 object for the traced packet equal to this
+     * @param interface set the IPv4 interface for the traced packet equal to this
      */
     static void SetValueByPath(std::string path,
                                Ptr<const Packet> packet,
@@ -70,18 +70,18 @@
                                uint32_t interface);
 
     /**
-     * \brief connect to a trace source attribute provided by a given object
+     * @brief connect to a trace source attribute provided by a given object
      *
-     * \param traceSource the name of the attribute TraceSource to connect to
-     * \param obj ns3::Object to connect to
-     * \return true if the trace source was successfully connected
+     * @param traceSource the name of the attribute TraceSource to connect to
+     * @param obj ns3::Object to connect to
+     * @return true if the trace source was successfully connected
      */
     bool ConnectByObject(std::string traceSource, Ptr<Object> obj) override;
 
     /**
-     * \brief connect to a trace source provided by a config path
+     * @brief connect to a trace source provided by a config path
      *
-     * \param path Config path to bind to
+     * @param path Config path to bind to
      *
      * Note, if an invalid path is provided, the probe will not be connected
      * to anything.
@@ -90,12 +90,12 @@
 
   private:
     /**
-     * \brief Method to connect to an underlying ns3::TraceSource with
+     * @brief Method to connect to an underlying ns3::TraceSource with
      * arguments of type Ptr<const Packet>, Ptr<Ipv4>, and uint32_t
      *
-     * \param packet the traced packet
-     * \param ipv4 the IPv4 object for the traced packet
-     * \param interface the IPv4 interface for the traced packet
+     * @param packet the traced packet
+     * @param ipv4 the IPv4 object for the traced packet
+     * @param interface the IPv4 interface for the traced packet
      */
     void TraceSink(Ptr<const Packet> packet, Ptr<Ipv4> ipv4, uint32_t interface);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-queue-disc-item.h ns-3.44/src/internet/model/ipv4-queue-disc-item.h
--- ns-3.43/src/internet/model/ipv4-queue-disc-item.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-queue-disc-item.h	2025-03-09 16:55:49.395371200 -0700
@@ -16,8 +16,8 @@
 {
 
 /**
- * \ingroup ipv4
- * \ingroup traffic-control
+ * @ingroup ipv4
+ * @ingroup traffic-control
  *
  * Ipv4QueueDiscItem is a subclass of QueueDiscItem which stores IPv4 packets.
  * Header and payload are kept separate to allow the queue disc to manipulate
@@ -27,11 +27,11 @@
 {
   public:
     /**
-     * \brief Create an IPv4 queue disc item containing an IPv4 packet.
-     * \param p the packet included in the created item.
-     * \param addr the destination MAC address
-     * \param protocol the protocol number
-     * \param header the IPv4 header
+     * @brief Create an IPv4 queue disc item containing an IPv4 packet.
+     * @param p the packet included in the created item.
+     * @param addr the destination MAC address
+     * @param protocol the protocol number
+     * @param header the IPv4 header
      */
     Ipv4QueueDiscItem(Ptr<Packet> p,
                       const Address& addr,
@@ -46,23 +46,23 @@
     Ipv4QueueDiscItem& operator=(const Ipv4QueueDiscItem&) = delete;
 
     /**
-     * \return the correct packet size (header plus payload).
+     * @return the correct packet size (header plus payload).
      */
     uint32_t GetSize() const override;
 
     /**
-     * \return the header stored in this item..
+     * @return the header stored in this item..
      */
     const Ipv4Header& GetHeader() const;
 
     /**
-     * \brief Add the header to the packet
+     * @brief Add the header to the packet
      */
     void AddHeader() override;
 
     /**
-     * \brief Print the item contents.
-     * \param os output stream in which the data should be printed.
+     * @brief Print the item contents.
+     * @param os output stream in which the data should be printed.
      */
     void Print(std::ostream& os) const override;
 
@@ -76,21 +76,21 @@
     bool GetUint8Value(Uint8Values field, uint8_t& value) const override;
 
     /**
-     * \brief Marks the packet by setting ECN_CE bits if the packet has
+     * @brief Marks the packet by setting ECN_CE bits if the packet has
      * ECN_ECT0 or ECN_ECT1 set.  If ECN_CE is already set, returns true.
-     * \return true if the method results in a marked packet, false otherwise
+     * @return true if the method results in a marked packet, false otherwise
      */
     bool Mark() override;
 
     /**
-     * \brief Computes the hash of the packet's 5-tuple
+     * @brief Computes the hash of the packet's 5-tuple
      *
      * Computes the hash of the source and destination IP addresses, protocol
      * number and, if the transport protocol is either UDP or TCP, the source
      * and destination port
      *
-     * \param perturbation hash perturbation value
-     * \return the hash of the packet's 5-tuple
+     * @param perturbation hash perturbation value
+     * @return the hash of the packet's 5-tuple
      */
     uint32_t Hash(uint32_t perturbation) const override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-raw-socket-factory.h ns-3.44/src/internet/model/ipv4-raw-socket-factory.h
--- ns-3.43/src/internet/model/ipv4-raw-socket-factory.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-raw-socket-factory.h	2025-03-09 16:55:49.395371200 -0700
@@ -16,10 +16,10 @@
 class Socket;
 
 /**
- * \ingroup socket
- * \ingroup ipv4
+ * @ingroup socket
+ * @ingroup ipv4
  *
- * \brief API to create RAW socket instances
+ * @brief API to create RAW socket instances
  *
  * This abstract class defines the API for RAW socket factory.
  *
@@ -28,8 +28,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-raw-socket-factory-impl.h ns-3.44/src/internet/model/ipv4-raw-socket-factory-impl.h
--- ns-3.43/src/internet/model/ipv4-raw-socket-factory-impl.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-raw-socket-factory-impl.h	2025-03-09 16:55:49.395371200 -0700
@@ -15,10 +15,10 @@
 {
 
 /**
- * \ingroup socket
- * \ingroup ipv4
+ * @ingroup socket
+ * @ingroup ipv4
  *
- * \brief Implementation of IPv4 raw socket factory.
+ * @brief Implementation of IPv4 raw socket factory.
  */
 class Ipv4RawSocketFactoryImpl : public Ipv4RawSocketFactory
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-raw-socket-impl.h ns-3.44/src/internet/model/ipv4-raw-socket-impl.h
--- ns-3.43/src/internet/model/ipv4-raw-socket-impl.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-raw-socket-impl.h	2025-03-09 16:55:49.395371200 -0700
@@ -16,10 +16,10 @@
 class Node;
 
 /**
- * \ingroup socket
- * \ingroup ipv4
+ * @ingroup socket
+ * @ingroup ipv4
  *
- * \brief IPv4 raw socket.
+ * @brief IPv4 raw socket.
  *
  * A RAW Socket typically is used to access specific IP layers not usually
  * available through L4 sockets, e.g., ICMP. The implementer should take
@@ -30,24 +30,24 @@
 {
   public:
     /**
-     * \brief Get the type ID of this class.
-     * \return type ID
+     * @brief Get the type ID of this class.
+     * @return type ID
      */
     static TypeId GetTypeId();
 
     Ipv4RawSocketImpl();
 
     /**
-     * \brief Set the node associated with this socket.
-     * \param node node to set
+     * @brief Set the node associated with this socket.
+     * @param node node to set
      */
     void SetNode(Ptr<Node> node);
 
     Socket::SocketErrno GetErrno() const override;
 
     /**
-     * \brief Get socket type (NS3_SOCK_RAW)
-     * \return socket type
+     * @brief Get socket type (NS3_SOCK_RAW)
+     * @return socket type
      */
     Socket::SocketType GetSocketType() const override;
 
@@ -70,17 +70,17 @@
     Ptr<Packet> RecvFrom(uint32_t maxSize, uint32_t flags, Address& fromAddress) override;
 
     /**
-     * \brief Set protocol field.
-     * \param protocol protocol to set
+     * @brief Set protocol field.
+     * @param protocol protocol to set
      */
     void SetProtocol(uint16_t protocol);
 
     /**
-     * \brief Forward up to receive method.
-     * \param p packet
-     * \param ipHeader IPv4 header
-     * \param incomingInterface incoming interface
-     * \return true if forwarded, false otherwise
+     * @brief Forward up to receive method.
+     * @param p packet
+     * @param ipHeader IPv4 header
+     * @param incomingInterface incoming interface
+     * @return true if forwarded, false otherwise
      */
     bool ForwardUp(Ptr<const Packet> p, Ipv4Header ipHeader, Ptr<Ipv4Interface> incomingInterface);
     bool SetAllowBroadcast(bool allowBroadcast) override;
@@ -90,8 +90,8 @@
     void DoDispose() override;
 
     /**
-     * \struct Data
-     * \brief IPv4 raw data and additional information.
+     * @struct Data
+     * @brief IPv4 raw data and additional information.
      */
     struct Data
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-route.h ns-3.44/src/internet/model/ipv4-route.h
--- ns-3.43/src/internet/model/ipv4-route.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-route.h	2025-03-09 16:55:49.395371200 -0700
@@ -20,9 +20,9 @@
 class NetDevice;
 
 /**
- * \ingroup ipv4Routing
+ * @ingroup ipv4Routing
  *
- * \brief IPv4 route cache entry (similar to Linux struct rtable)
+ * @brief IPv4 route cache entry (similar to Linux struct rtable)
  *
  * This is a reference counted object.  In the future, we will add other
  * entries from struct dst_entry, struct rtable, and struct dst_ops as needed.
@@ -33,40 +33,40 @@
     Ipv4Route();
 
     /**
-     * \param dest Destination Ipv4Address
+     * @param dest Destination Ipv4Address
      */
     void SetDestination(Ipv4Address dest);
     /**
-     * \return Destination Ipv4Address of the route
+     * @return Destination Ipv4Address of the route
      */
     Ipv4Address GetDestination() const;
 
     /**
-     * \param src Source Ipv4Address
+     * @param src Source Ipv4Address
      */
     void SetSource(Ipv4Address src);
     /**
-     * \return Source Ipv4Address of the route
+     * @return Source Ipv4Address of the route
      */
     Ipv4Address GetSource() const;
 
     /**
-     * \param gw Gateway (next hop) Ipv4Address
+     * @param gw Gateway (next hop) Ipv4Address
      */
     void SetGateway(Ipv4Address gw);
     /**
-     * \return Ipv4Address of the gateway (next hop)
+     * @return Ipv4Address of the gateway (next hop)
      */
     Ipv4Address GetGateway() const;
 
     /**
      * Equivalent in Linux to dst_entry.dev
      *
-     * \param outputDevice pointer to NetDevice for outgoing packets
+     * @param outputDevice pointer to NetDevice for outgoing packets
      */
     void SetOutputDevice(Ptr<NetDevice> outputDevice);
     /**
-     * \return pointer to NetDevice for outgoing packets
+     * @return pointer to NetDevice for outgoing packets
      */
     Ptr<NetDevice> GetOutputDevice() const;
 
@@ -87,18 +87,18 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the reference to the output stream
- * \param route the Ipv4 route
- * \returns the reference to the output stream
+ * @param os the reference to the output stream
+ * @param route the Ipv4 route
+ * @returns the reference to the output stream
  */
 std::ostream& operator<<(std::ostream& os, const Ipv4Route& route);
 
 /**
- * \ingroup ipv4Routing
+ * @ingroup ipv4Routing
  *
- * \brief Ipv4 multicast route cache entry (similar to Linux struct mfc_cache)
+ * @brief Ipv4 multicast route cache entry (similar to Linux struct mfc_cache)
  */
 class Ipv4MulticastRoute : public SimpleRefCount<Ipv4MulticastRoute>
 {
@@ -106,40 +106,40 @@
     Ipv4MulticastRoute();
 
     /**
-     * \param group Ipv4Address of the multicast group
+     * @param group Ipv4Address of the multicast group
      */
     void SetGroup(const Ipv4Address group);
     /**
-     * \return Ipv4Address of the multicast group
+     * @return Ipv4Address of the multicast group
      */
     Ipv4Address GetGroup() const;
 
     /**
-     * \param origin Ipv4Address of the origin address
+     * @param origin Ipv4Address of the origin address
      */
     void SetOrigin(const Ipv4Address origin);
     /**
-     * \return Ipv4Address of the origin address
+     * @return Ipv4Address of the origin address
      */
     Ipv4Address GetOrigin() const;
 
     /**
-     * \param iif Parent (input interface) for this route
+     * @param iif Parent (input interface) for this route
      */
     void SetParent(uint32_t iif);
     /**
-     * \return Parent (input interface) for this route
+     * @return Parent (input interface) for this route
      */
     uint32_t GetParent() const;
 
     /**
-     * \param oif Outgoing interface index
-     * \param ttl time-to-live for this route
+     * @param oif Outgoing interface index
+     * @param ttl time-to-live for this route
      */
     void SetOutputTtl(uint32_t oif, uint32_t ttl);
 
     /**
-     * \return map of output interface Ids and TTLs for this route
+     * @return map of output interface Ids and TTLs for this route
      */
     std::map<uint32_t, uint32_t> GetOutputTtlMap() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-routing-protocol.h ns-3.44/src/internet/model/ipv4-routing-protocol.h
--- ns-3.43/src/internet/model/ipv4-routing-protocol.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-routing-protocol.h	2025-03-09 16:55:49.395371200 -0700
@@ -25,8 +25,8 @@
 class NetDevice;
 
 /**
- * \ingroup internet
- * \defgroup ipv4Routing IPv4 Routing Protocols.
+ * @ingroup internet
+ * @defgroup ipv4Routing IPv4 Routing Protocols.
  *
  * The classes in this group implement different routing protocols
  * for IPv4. Other modules could implement further protocols
@@ -34,8 +34,8 @@
  */
 
 /**
- * \ingroup ipv4Routing
- * \brief Abstract base class for IPv4 routing protocols.
+ * @ingroup ipv4Routing
+ * @brief Abstract base class for IPv4 routing protocols.
  *
  * Defines two virtual functions for packet routing and forwarding.  The first,
  * RouteOutput(), is used for locally originated packets, and the second,
@@ -47,8 +47,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -67,7 +67,7 @@
     typedef Callback<void, Ptr<const Packet>, const Ipv4Header&, Socket::SocketErrno> ErrorCallback;
 
     /**
-     * \brief Query routing cache for an existing route, for an outbound packet
+     * @brief Query routing cache for an existing route, for an outbound packet
      *
      * This lookup is used by transport protocols.  It does not cause any
      * packet to be forwarded, and is synchronous.  Can be used for
@@ -77,14 +77,14 @@
      * for the source address, but the destination address should always be
      * properly set by the caller.
      *
-     * \param p packet to be routed.  Note that this method may modify the packet.
+     * @param p packet to be routed.  Note that this method may modify the packet.
      *          Callers may also pass in a null pointer.
-     * \param header input parameter (used to form key to search for the route)
-     * \param oif Output interface Netdevice.  May be zero, or may be bound via
+     * @param header input parameter (used to form key to search for the route)
+     * @param oif Output interface Netdevice.  May be zero, or may be bound via
      *            socket options to a particular output interface.
-     * \param sockerr Output parameter; socket errno
+     * @param sockerr Output parameter; socket errno
      *
-     * \returns a code that indicates what happened in the lookup
+     * @returns a code that indicates what happened in the lookup
      */
     virtual Ptr<Ipv4Route> RouteOutput(Ptr<Packet> p,
                                        const Ipv4Header& header,
@@ -92,24 +92,24 @@
                                        Socket::SocketErrno& sockerr) = 0;
 
     /**
-     * \brief Route an input packet (to be forwarded or locally delivered)
+     * @brief Route an input packet (to be forwarded or locally delivered)
      *
      * This lookup is used in the forwarding process.  The packet is
      * handed over to the Ipv4RoutingProtocol, and will get forwarded onward
      * by one of the callbacks.  The Linux equivalent is ip_route_input().
      * There are four valid outcomes, and a matching callbacks to handle each.
      *
-     * \param p received packet
-     * \param header input parameter used to form a search key for a route
-     * \param idev Pointer to ingress network device
-     * \param ucb Callback for the case in which the packet is to be forwarded
+     * @param p received packet
+     * @param header input parameter used to form a search key for a route
+     * @param idev Pointer to ingress network device
+     * @param ucb Callback for the case in which the packet is to be forwarded
      *            as unicast
-     * \param mcb Callback for the case in which the packet is to be forwarded
+     * @param mcb Callback for the case in which the packet is to be forwarded
      *            as multicast
-     * \param lcb Callback for the case in which the packet is to be locally
+     * @param lcb Callback for the case in which the packet is to be locally
      *            delivered
-     * \param ecb Callback to call if there is an error in forwarding
-     * \returns true if the Ipv4RoutingProtocol takes responsibility for
+     * @param ecb Callback to call if there is an error in forwarding
+     * @returns true if the Ipv4RoutingProtocol takes responsibility for
      *          forwarding or delivering the packet, false otherwise
      */
     virtual bool RouteInput(Ptr<const Packet> p,
@@ -121,14 +121,14 @@
                             const ErrorCallback& ecb) = 0;
 
     /**
-     * \param interface the index of the interface we are being notified about
+     * @param interface the index of the interface we are being notified about
      *
      * Protocols are expected to implement this method to be notified of the state change of
      * an interface in a node.
      */
     virtual void NotifyInterfaceUp(uint32_t interface) = 0;
     /**
-     * \param interface the index of the interface we are being notified about
+     * @param interface the index of the interface we are being notified about
      *
      * Protocols are expected to implement this method to be notified of the state change of
      * an interface in a node.
@@ -136,8 +136,8 @@
     virtual void NotifyInterfaceDown(uint32_t interface) = 0;
 
     /**
-     * \param interface the index of the interface we are being notified about
-     * \param address a new address being added to an interface
+     * @param interface the index of the interface we are being notified about
+     * @param address a new address being added to an interface
      *
      * Protocols are expected to implement this method to be notified whenever
      * a new address is added to an interface. Typically used to add a 'network route' on an
@@ -146,8 +146,8 @@
     virtual void NotifyAddAddress(uint32_t interface, Ipv4InterfaceAddress address) = 0;
 
     /**
-     * \param interface the index of the interface we are being notified about
-     * \param address a new address being added to an interface
+     * @param interface the index of the interface we are being notified about
+     * @param address a new address being added to an interface
      *
      * Protocols are expected to implement this method to be notified whenever
      * a new address is removed from an interface. Typically used to remove the 'network route' of
@@ -156,17 +156,17 @@
     virtual void NotifyRemoveAddress(uint32_t interface, Ipv4InterfaceAddress address) = 0;
 
     /**
-     * \param ipv4 the ipv4 object this routing protocol is being associated with
+     * @param ipv4 the ipv4 object this routing protocol is being associated with
      *
      * Typically, invoked directly or indirectly from ns3::Ipv4::SetRoutingProtocol
      */
     virtual void SetIpv4(Ptr<Ipv4> ipv4) = 0;
 
     /**
-     * \brief Print the Routing Table entries
+     * @brief Print the Routing Table entries
      *
-     * \param stream The ostream the Routing table is printed to
-     * \param unit The time unit to be used in the report
+     * @param stream The ostream the Routing table is printed to
+     * @param unit The time unit to be used in the report
      */
     virtual void PrintRoutingTable(Ptr<OutputStreamWrapper> stream,
                                    Time::Unit unit = Time::S) const = 0;
